VDB-227051 · CVE-2014-6262 · BID 71540

Zenoss Core up to 4.2.4 RRDtool format string

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.2$0-$5k0.00

A vulnerability was found in Zenoss Core up to 4.2.4. It has been rated as critical. This issue affects some unknown processing of the component RRDtool. The manipulation with an unknown input leads to a format string vulnerability. Using CWE to declare the problem leads to CWE-134. The product uses a function that accepts a format string as an argument, but the format string originates from an external source. Impacted is confidentiality, integrity, and availability. The summary by CVE is:

Multiple format string vulnerabilities in the python module in RRDtool, as used in Zenoss Core before 4.2.5 and other products, allow remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted third argument to the rrdtool.graph function, aka ZEN-15415, a related issue to CVE-2013-2131.

The weakness was released 04/21/2023. It is possible to read the advisory at github.com. The identification of this vulnerability is CVE-2014-6262 since 09/05/2014. The technical details are unknown and an exploit is not publicly available.

Upgrading to version 4.2.5 eliminates this vulnerability. Applying the patch 64ed5314af1255ab6dded45f70b39cdeab5ae2ec is able to eliminate this problem. The bugfix is ready for download at github.com. The best possible mitigation is suggested to be upgrading to the latest version.

Entries connected to this vulnerability are available at VDB-247921, VDB-247922, VDB-247923 and VDB-247924.

Productinfo

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 7.4
VulDB Meta Temp Score: 7.2

VulDB Base Score: 7.3
VulDB Temp Score: 7.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 7.5
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Format string
CWE: CWE-134 / CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Core 4.2.5
Patch: 64ed5314af1255ab6dded45f70b39cdeab5ae2ec

Timelineinfo

09/05/2014 🔍
04/21/2023 +3150 days 🔍
04/21/2023 +0 days 🔍
05/15/2023 +24 days 🔍

Sourcesinfo

Advisory: 64ed5314af1255ab6dded45f70b39cdeab5ae2ec
Status: Confirmed

CVE: CVE-2014-6262 (🔍)
SecurityFocus: 71540

See also: 🔍

Entryinfo

Created: 04/21/2023 10:33 PM
Updated: 05/15/2023 03:01 PM
Changes: 04/21/2023 10:33 PM (59), 05/15/2023 02:59 PM (1), 05/15/2023 03:01 PM (1)
Complete: 🔍
Cache ID: 44:5CB:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!